Create a Note
curl --request POST \
--url https://api.example.com/v1/crm/transactions/batches/{transactionBatchId}/notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"isPrivate": true,
"comment": "<string>"
}
'import requests
url = "https://api.example.com/v1/crm/transactions/batches/{transactionBatchId}/notes"
payload = {
"isPrivate": True,
"comment": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({isPrivate: true, comment: '<string>'})
};
fetch('https://api.example.com/v1/crm/transactions/batches/{transactionBatchId}/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isPrivate": true,
"comment": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"status": 123,
"code": "<string>",
"detail": "<string>"
}{
"status": 123,
"code": "<string>",
"detail": "<string>"
}Batches
Create batch note
Add a note to a transaction batch
POST
/
v1
/
crm
/
transactions
/
batches
/
{transactionBatchId}
/
notes
Create a Note
Authorizations
bearerAuthapiKey
Enter token in following format: Bearer
Path Parameters
Response
The created note.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
public, private, uwRisk, user, system, sam, signnow, clear, underwriting, audit Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$⌘I
